OSSL_PROVIDER-NULL(7ossl)

NAME
OSSL_PROVIDER-null - OpenSSL null provider

DESCRIPTION
The OpenSSL null provider supplies no algorithms.

It can used to guarantee that the default library context and a fallback provider will not be accidentally accessed.

  Properties
The null provider defines no properties.

OPERATIONS AND ALGORITHMS
The OpenSSL null provider supports no operations and algorithms.

SEE ALSO
provider(7)

HISTORY
This functionality was added in OpenSSL 3.0.

COPYRIGHT
Copyright 2020 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.